Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Class BedPeriodType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.BedPeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class BedPeriodType

extends Object
implements Serializable

Periode waar de periode in een bepaald type woongelegenheid verbleef

Java class for BedPeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BedPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BedPeriodStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Bed" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BedPeriodType()`

Method Summary
`BedType` | `getBed()` Gets the value of the bed property.
`org.joda.time.DateTime` | `getBedPeriodStartTime()` Gets the value of the bedPeriodStartTime property.
`void` | `setBed(BedType value)` Sets the value of the bed property.
`void` | `setBedPeriodStartTime(org.joda.time.DateTime value)` Sets the value of the bedPeriodStartTime property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BedPeriodType

    public BedPeriodType()

Method Detail

### getBedPeriodStartTime

    public org.joda.time.DateTime getBedPeriodStartTime()

  Gets the value of the bedPeriodStartTime property.

  Returns:
    possible object is `String`

### setBedPeriodStartTime

    public void setBedPeriodStartTime(org.joda.time.DateTime value)

  Sets the value of the bedPeriodStartTime property.

  Parameters:
    `value` - allowed object is `String`

### getBed

    public BedType getBed()

  Gets the value of the bed property.

  Returns:
    possible object is `BedType`

### setBed

    public void setBed(BedType value)

  Sets the value of the bed property.

  Parameters:
    `value` - allowed object is `BedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.